mod auth;
mod device;

use super::DbPool;

#[derive(Clone)]
pub struct SqliteRepository {
    pool: DbPool,
}

impl From<DbPool> for SqliteRepository {
    fn from(value: DbPool) -> Self {
        Self { pool: value }
    }
}
